<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

?>
<script>

$(document).ready(function() {

	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '<Ant',
		nextText: 'Sig>',
		currentText: 'Hoy',
		monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
		dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
		dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
		weekHeader: 'Sm',
		dateFormat: 'dd/mm/yy',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''
	}
	$.datepicker.setDefaults($.datepicker.regional['es']);
	$("#fechaCierre").datepicker({ firstDay:1,dateFormat:'dd/mm/yy' }).val();

});

</script>

<h2>Entrada de Mercancía Nº <?php echo $_SESSION['entrada']['NumEntrada']; ?></h2>

<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <th>Fecha</th>
	<th>Régimen</th>
	<th>Cliente</th>
	<th>Tipo Entrada</th>
	<th>Tipo Documento</th>
	<th>Expedidor</th>
</tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entrada']['Empresa']; ?></td><?php } ?>
    <td><?php echo fechaNacional($_SESSION['entrada']['FechaEntrada']); ?></td>
    <td><?php echo $_SESSION['entrada']['Regimen']; ?></td>
    <td><?php echo $_SESSION['entrada']['ClientePropietario']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoEntrada']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoDocumento']; ?></td>
	<td><?php echo $_SESSION['entrada']['Expedidor']; ?></td>
  </tr>
</table>


<form id="formulario" name="formulario" method="post" action="">

<?php

if($_POST['botonCierre']) {

	$cadenaDescargas='';
	
	foreach($_POST as $campo=>$valor) {
			
		if(substr($campo,0,8)=='descarga') {
			if($cadenaDescargas!='') $cadenaDescargas.=",";
			$cadenaDescargas.=substr($campo,8,strlen($campo))."-".$_POST['cantidad-descarga'.$valor];
		}
	}
		
	$cadenaServicios='';
	
	foreach($_POST as $campo=>$valor) {
			
		if(substr($campo,0,8)=='servicio') {
			if($cadenaServicios!='') $cadenaServicios.=",";
			$cadenaServicios.=substr($campo,8,strlen($campo))."-".$_POST['cantidad-servicio'.$valor];
		}
	}
	
	$fechaCierre=fechaParaProxium(fechaMysql($_POST['fechaCierre']));
	
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CONFIRMARENTRADA#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'].';'.$cadenaDescargas.';'.$cadenaServicios.';'.$fechaCierre;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	if($valores[0]=='0') {
	
		?>
		<script>
			alert('Cierre entrada realizado correctamente',null,'ok').done(function(){
				$('#popupCargando').show();
				window.location="entradas-mercancia.php";
			});
        </script>
        <?php

	}
	else echo '<p class="error">ERROR: '.$valores[1].'</p>';
	

}

$descargas=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['FacturacionDescargas']);
$servicios=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['FacturacionServicios']);

if(count($descargas)>0) {
?>
	<p>Descargas:</p></style>
    
    <table class="tablaFormateada">
                <tr>
                	<th></th>
                    <th>Nombre</th>
                    <th>Cantidad</th>
                    <th>Un. Medida</th>
                </tr>
				<?php foreach($descargas as $descarga) { ?>
                	<tr>
                    	<td><input tipo="descarga" codigo="<?php echo $descarga['Codigo']; ?>" type="checkbox" name="descarga<?php echo $descarga['Codigo']; ?>" id="descarga<?php echo $descarga['Codigo']; ?>" value="<?php echo $descarga['Codigo']; ?>" class="selectorDescarga checkGrande selectorUnico" <?php if($_POST['descarga'.$descarga['Codigo']]) echo "checked"; else if($descarga['Marcado']=='S') echo "checked"; ?> /></td>
                    	<td align="left"><?php echo $descarga['Nombre']; ?></td>
                        <td><input id="cantidad-descarga<?php echo $descarga['Codigo']; ?>" name="cantidad-descarga<?php echo $descarga['Codigo']; ?>" type="text" value="<?php if($_POST['cantidad-descarga'.$descarga['Codigo']]) echo $_POST['cantidad-descarga'.$descarga['Codigo']]; else echo $descarga['Cantidad']; ?>" class="campo cantidad campoCierre" style="width:70px" /></td>
                        <td align="left"><?php echo $descarga['UnidadMedida']; ?></td>
                    </tr>
				<?php } ?>
	</table>
<?php
}

if(count($servicios)>0) {
	?>
    <p>Servicios:</p></style>
    
    <table class="tablaFormateada">
    	<tr>
        	<th></th>
            <th>Nombre</th>
            <th>Cantidad</th>
            <th>Un. Medida</th>
		</tr>
		<?php foreach($servicios as $servicio) { ?>
			<tr>
            <td><input tipo="servicio" codigo="<?php echo $servicio['Codigo']; ?>" type="checkbox" name="servicio<?php echo $servicio['Codigo']; ?>" id="servicio<?php echo $servicio['Codigo']; ?>" value="<?php echo $servicio['Codigo']; ?>" class="selectorServicio checkGrande selectorUnico" <?php if($_POST['servicio'.$servicio['Codigo']]) echo "checked"; else if($servicio['Marcado']=='S') echo "checked"; ?> /></td>
           <td align="left"><?php echo $servicio['Nombre']; ?></td>
            <td><input codigo="<?php echo $servicio['Codigo']; ?>" id="cantidad-servicio<?php echo $servicio['Codigo']; ?>" name="cantidad-servicio<?php echo $servicio['Codigo']; ?>" type="text" value="<?php if($_POST['cantidad-servicio'.$servicio['Codigo']]) echo $_POST['cantidad-servicio'.$servicio['Codigo']]; else echo $servicio['Cantidad']; ?>" tipo="servicio" class="campo cantidad campoCierre" style="width:70px"/></td>
			<td align="left"><?php echo $servicio['UnidadMedida']; ?></td>
        </tr>
		<?php } ?>
	</table>
	<?php
}
?>

<div id="bloqueContenedor" style="width:350px;margin:20px auto">
	<p class="sinMargen">Fecha de Entrada:</p>
    <div class="campoOrdenPreparacionBloque">
        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoFechaCierre" /><input name="fechaCierre" type="text" class="campo campoOrdenPreparacion" id="fechaCierre" maxlength="14" style="left:5px;" value="<?php if($_POST['fechaCierre']) echo $_POST['fechaCierre']; else echo date('d/m/Y'); ?>"/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarFechaCierre" style="position:absolute;right:5px;cursor:pointer;"/>
    </div>
</div>


<p><input type="submit" name="botonCierre" id="botonCierre" value="Cerrar y Confirmar Entrada" onclick="return valida();" class="boton"/></p>

</form>

<script>

function valida() {

	var error=false;

	$('.selectorUnico').each(function(){
	
		var tipo=$(this).attr('tipo');
		var codigo=$(this).attr('codigo');
	
		console.log('#cantidad-'+tipo+codigo);
	
		if( $(this).is(':checked') ) {
			if( $('#cantidad-'+tipo+codigo).val()=='' || $('#cantidad-'+tipo+codigo).val()=='0' ) error=true;
		}
	});
	
	if(error) {
		alert('Error: Hay ítems marcados sin cantidad.');
		return false;
	}
	else {
		if( $('#fechaCierre').val()=='' ) {
			alert('Error: Se debe indicar la fecha de cierre.').done(function(){
				$('#fechaCierre').focus();
			});
			return false;
		} else {
			$('#popupCargando').show();
			return true;
		}
	}

}

$(document).ready(function() {
	
	
	$('.selectorDescarga').on('click',function(e) {
		var actual=$(this);
		var valor=actual.is(':checked');
		$('.selectorDescarga').each(function(){
			$(this).prop("checked", false);
		});
		if(valor) actual.prop("checked", true);
	});
	
	$('.cantidad').on("click",function(e) {
		e.preventDefault();
		$('#calculadora').show();
		$('#valorCalculadora').val( $(this).val() );
		$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
		$('#enterCalculadora').attr('forzarEnter','si');
	});
	
	
	$('.cantidad').on("change",function(e) {
	
		e.preventDefault();
		
		var tipo=$(this).attr('tipo');
		var codigo=$(this).attr('codigo');
		var chekeado=$('#'+tipo+codigo).is(':checked');
		//alert('#'+tipo+codigo+' checkeado: '+chekeado);
		if( $(this).val()=='0' || $(this).val()=='' ) $('#'+tipo+codigo).prop('checked',false);
		else $('#'+tipo+codigo).prop('checked',true);
		
	});
	
	$(document).on('click','#tecladoFechaCierre',function(){
		$('#teclado').show();
		$('#valor').val( $('#fechaCierre').val() );
		$('#valorOculto').val( $('#fechaCierre').val() );
		$('#enter').attr('campoValor','fechaCierre');
		$('#enter').attr('forzarEnter','no');
	});
			
	$(document).on('click','#borrarFechaCierre',function(){
		$("#fechaCierre").val('');
		$("#fechaCierre").focus();		
	});
	
});

</script>

<?php

$mostrarInfo=true;
$producto['Error']=true; //para que no muestre Play

include($rutaPhp.$rutaHtml.'/maqueta/menu-entrada-mercancia.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
